package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 作品每日统计对象 daily_work
 * 
 * @author haotian
 * @date 2024-11-08
 */
public class DailyWork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增 */
    private Long dailyWorkId;

    /** 关联 */
    @Excel(name = "关联")
    private Long workId;

    /** 收到赞数 */
    @Excel(name = "收到赞数")
    private Long rock;

    /** 每天时间(记录到天) */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "每天时间(记录到天)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 删除标志 */
    private String delFlag;

    public void setDailyWorkId(Long dailyWorkId) 
    {
        this.dailyWorkId = dailyWorkId;
    }

    public Long getDailyWorkId() 
    {
        return dailyWorkId;
    }
    public void setWorkId(Long workId) 
    {
        this.workId = workId;
    }

    public Long getWorkId() 
    {
        return workId;
    }
    public void setRock(Long rock) 
    {
        this.rock = rock;
    }

    public Long getRock() 
    {
        return rock;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dailyWorkId", getDailyWorkId())
            .append("workId", getWorkId())
            .append("rock", getRock())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("date", getDate())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
